### Signal

# FwupdPlugin Device::child-removed

since: 1.0.8

#### Declaration

    void
    child_removed (
      FuDevice* self,
      FuDevice* device,
      gpointer user_data
    )

#### Description [src]

The ::child-removed signal is emitted when a device has been removed as a child.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.0.8

#### Parameters

`device`

  Type: `FuDevice`

  The `FuDevice` child.

  The data is owned by the caller of the function.